#include "code.h"

std::vector<int> Nadji(int N, int K)
{
    int a[105][105];
    for(int i=1;i<=100;i++)
    {
        for(int j=1;j<=100;j++)
        {
            a[i][j]=Pitaj(i,j);
        }
    }
    for(int i=1;i<=100;i++)
    {
        for(int j=1;j<=100;j++)
        {
            bool b=true;
            
            for(int k=1;k<=100;k++)
            {
                if(a[k][j]>=a[i][j])
                {
                    b=false;
                    break;
                }
            }
            for(int k=1;k<=100;k++)
            {
                if(a[i][k]<=a[i][j])
                {
                    b=false;
                    break;
                }
            }
            if(b)
            {
                out.push_back(i);
                out.push_back(j);
                return out;
            }
        }
    }
	std::vector<int> out;
	out.push_back(0);
	out.push_back(0);
	return out;
}